package com.dxhy.erp.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.SysDeptEntity;

/**
 * @author dxhy
 */
@Mapper
public interface SysDeptDao extends BaseMapper<SysDeptEntity> {

    /**
     * 待填
     *
     * @param aceId
     * @return
     */
    String getSecretKey(@Param("aceId") String aceId);

    /**
     * 待填
     *
     * @param remoteAddr
     * @param appSecId
     * @return
     */
    int getBlocNoTax(@Param("remoteAddr") String remoteAddr, @Param("appSecId") String appSecId);

    /**
     * 待填
     *
     * @param taxno
     * @return
     */
    SysDeptEntity getOrg(@Param("taxno") String taxno);

    SysDeptEntity getOrgByCompCode(@Param("compCode") String compCode);


    SysDeptEntity getOrgByCompany(@Param("company") String company);

    /**
     * 待填
     *
     * @return
     */
    List<String> getDbSource();

    /**
     * 待填
     *
     * @param taxno
     * @param password
     */
    void updatePassword(@Param("taxno") String taxno, @Param("password") String password);

    SysDeptEntity getOrgType(@Param("gfTaxNo") String gfTaxNo);

    SysDeptEntity findIdAndKey(@Param("taxno") String taxno);

    Integer checkBuyerEnterpriseCode(@Param("enterpriseCode") String enterpriseCode);

    List<SysDeptEntity> selectByCompany(String company);
}
